/* Copyright (C) 1999 Beau Kuiper

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#include "../defaults.h"
#include <stdio.h>

void showversion(char *desc)
{
	printf("%s: version ("VERSTR")\n", desc);
	printf("Build date: "DATESTR"\n\n");
	printf(" Part of the Muddleftpd ftp server distribution\n");
	printf(" Copyright (c) 2000 Beau Kuiper\n");
	printf(" All rights reserved.\n\n");
	printf(" Licensed under the terms of the GNU General Public License\n");
	printf(" version 2 or later. See http://www.fsf.org/copyleft/gpl.html\n");
	printf(" for a copy of this license\n\n");
	printf(" For updates to muddleftpd, visit its homesite at:\n");
	printf(" http://savannah.nongnu.org/projects/muddleftpd\n\n");
	exit(1);
}
